// # CloudLinux LVE Manager VERSION:0.83
(function(win){
    var doc = win.document,
        ffield = doc.getElementById("instant-filter"),
        tbody  = doc.getElementById("lve-table-body");
    ffield.onchange = function(e){
        var curval = ffield.value,
            rows = tbody.getElementsByTagName("tr");
            count = 1;
            for ( var r in rows ) {
                if ( !rows.hasOwnProperty(r) ) continue;
                var cells = Array.prototype.filter.call(rows[r].childNodes,function(x){return (x.nodeType == 1 && x.nodeName == 'TD');}),
                    oddity = count % 2 ? 'odd' : 'even',
                    rowclass = rows[r].className;
                //alert(win.getComputedStyle(rows[r],null).display);
                if ( cells[0].firstChild.nodeValue.indexOf(curval) == -1
                     && cells[1].firstChild.nodeValue.indexOf(curval) == -1
                     && cells[2].firstChild.nodeValue.indexOf(curval) == -1 ) {
                    rows[r].style.display = "none";
                    continue;
                }
                else if ( win.getComputedStyle(rows[r],null).display == 'none' ) {
                    rows[r].style.display = "table-row";
                }
                rows[r].className = rowclass.replace(/(?:odd|even)/,oddity);
                count += 1;
            }
    };
}(window));

