// # CloudLinux LVE Manager VERSION:0.83
(function(win){
    var doc = win.document,
        tcheck = doc.getElementById("toggle-resellers"),
        tbody  = doc.getElementById("lve-table-body");
    tcheck.onchange = function(e){
        var rows = tbody.getElementsByTagName("tr"),
            count = 1;
        for ( var r in rows ) {
            var cells = rows[r].getElementsByTagName("td"),
                oddity = count % 2 ? 'odd' : 'even',
                rowclass = rows[r].className;
            if ( cells[0].firstChild.nodeValue.indexOf('_') > 0 ) {
                if ( tcheck.checked && win.getComputedStyle(rows[r],null).display == 'none' ) {
                    rows[r].style.display = "table-row";
                }
                else {
                    rows[r].style.display = "none";
                    continue;
                }
            }
            rows[r].className = rowclass.replace(/(?:odd|even)/,oddity);
            count += 1;
        }
    };
}(window));
