<?php
/*
     * Title: LVEManager Module.
     * Version: 1.1.0 (04/Nov/2011)
     * Author: Krishtopin Anton. AKrishtopin@cloudlinux.com
     * Site: http://CloudLinux.com
*/

// run check
if ( ini_get('safe_mode') ) {
    echo 'Before this plugin will work, u will have to disable safe_mode';
    die();
}

$disabledFunctions = explode(', ', ini_get('disable_functions'));

if ( in_array('passthru', $disabledFunctions) ) {
    echo 'Remove passthru from disabled_functions (php.ini) before this plugin can work!';
    die();
}

if ( in_array('exec', $disabledFunctions) ) {
    echo 'Remove exec from disabled_functions (php.ini) before this plugin can work!';
    die();
}

function nav($a) {
    if($a == 'home') {
        $home = '<strong><a href="index.html">[Home]</a></strong>';
    }
    else {
        $home = '<a href="index.html">[Home]</a>';
    }

    if($a == 'settings') {
        $accounts = '<strong><a href="index.html?page=settings">[Settings]</a></strong>';
    }
    else {
        $accounts = '<a href="index.html?page=settings">[Settings]</a>';
    }

    if($a == 'stats') {
        $stats = '<strong><a href="index.html?page=stats">[Stats]</a></strong>';
    }
    else {
        $stats = '<a href="index.html?page=stats">[Stats]</a>';
    }
        
    if($a == 'packages') {
        $packages = '<strong><a href="index.html?page=packages">[Packages]</a></strong>';
    }
    else {
        $packages = '<a href="index.html?page=packages">[Packages]</a>';
    }
    
    if($a == 'selector') {
        $selector = '<strong><a href="index.html?page=selector">[Selector]</a></strong>';
    }
    else {
        $selector = '<a href="index.html?page=selector">[Selector]</a>';
    }

    echo '<img src="images/logoCloudLinux.png" /> <br />';
    echo $home.' '.$accounts.' '.$stats.' '.$packages.' '.$selector.'<br /><br />';
}
?>

<style type="text/css">
td.list
    {
    	border: 1px solid #014D5F;
    }
    
td.list1
    {
    	BACKGROUND: #FFFFFF;
    	white-space: nowrap;
    	border: 1px solid #014D5F;
    }
    
td.list2
    {
    	BACKGROUND: #D0ECF2;
    	white-space: nowrap;
    	border: 1px solid #014D5F;
    }
    
input.lveinput {
    width:150px;
}

input.lveinput_mem {
    width:102px;
}

table.edit td{
    font-family:Arial;
    font-size: 13px !important;
    font-weight:normal;
}

span.lve-form-comment {
    font-family:Arial;
    font-size: 11px !important;
    font-style: italic;
    color: #014D5F;
}

td.filled {
    border-bottom: 1px solid #000000;
    border-right:1px solid #000000;
    text-align: center;
    font-weight: bold;
    color: #014D5F;

}

tr.lower td {
    color: #014D5F;
    font-weight: bold;
    border-bottom: 1px solid #000000;
    height: 16px;
}

td.border-right {
    border-right: 1px solid #000000;
}

td.border-right-left {
    border-right: 1px solid #000000;
    border-left: 1px solid #000000;
}

td.border-left {
    border-left: 1px solid #000000;
}

tr.row1
    {
        BACKGROUND: #FFFFFF;
    	border: 1px solid #014D5F;
    }

tr.row2
    {
    	BACKGROUND: #D0ECF2;
    	white-space: nowrap;
    	border: 1px solid #014D5F;
    }
    
tr.row1 td {
    border-right:1px solid #000000;
    border-bottom:1px solid #000000;
}

tr.row2 td {
    border-right:1px solid #000000;
    border-bottom:1px solid #000000;
}

a.chart {
    text-decoration:underline;
}

td.aling-center {
    text-align:center;
}

td.aling-right {
    text-align:right;
}
</style>