<?php
/*
     * Title: LVEManager Module.
     * Version: 1.1.0 (04/Nov/2011)
     * Author: Krishtopin Anton. AKrishtopin@cloudlinux.com
     * Site: http://CloudLinux.com
*/

include_once('LVE.class.php');
$version = $LVE->ReturnProcLVEVerion();
$packages = $LVE->ReturnPanelPackages();
?>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="list">
    <tr>
      <td class="listtitle" colspan="<?php echo (6 == $version) ? '9':'7';?>"><b>Settings</b></td>
    </tr>

    <tr>
        <td class="list"><strong>Package ID</strong></td> 
    	<td class="list"><strong>CPU</strong></td>
    	<td class="list"><strong>nCPU</strong></td>
    	<td class="list"><strong>vMEM(MB)</strong></td>
    	<?php echo (6 == $version) ? '<td class="list"><strong>pMEM(MB)</strong></td>':'';?>
    	<td class="list"><strong>EP</strong></td>
    	<?php echo (6 == $version) ? '<td class="list"><strong>nPROC</strong></td>':'';?>
    	<td class="list"><strong>IO<?php echo (6 == $version) ? ' (KB/s)':'';?></strong></td>
    	<td class="list"></td>
    </tr>
    
<?php $i = 0; ?>
<?php foreach ($packages as $item): ?>
    <?php
        if (($i%2) == 0) {
            $row = '1';
        } else {
            $row = '2';
        }
    ?>
    <tr>
        <td class="list<?php echo $row;?>"><?php echo $item['ID'];?></td>
        <td class="list<?php echo $row;?>"><?php echo $item['CPU'];?></td>
        <td class="list<?php echo $row;?>"><?php echo $item['NCPU'];?></td>
        <td class="list<?php echo $row;?>"><?php echo $item['VMEM'];?></td>
        <?php if (6 == $version) {
            echo '<td class="list'.$row.'">'.$item['PMEM'].'</td>';
        }
        ?>
        <td class="list<?php echo $row;?>"><?php echo $item['EP'];?></td>
        <?php if (6 == $version) {
            echo '<td class="list'.$row.'">'.$item['NPROC'].'</td>';
        }
        ?>
        <td class="list<?php echo $row;?>"><?php echo $item['IOPRIO'];?></td>
        <td class="list<?php echo $row;?>">
            <a href="Edit.html?uid=<?php echo $item['ID'];?>&action=package_edit">[Edit]</a>&nbsp;
            <a href="Edit.html?uid=<?php echo $item['ID'];?>&action=package_delete">[Reset]</a>&nbsp;
        </td>
    </tr>
<?php $i++; endforeach; ?>
</table>
