(function(win){
    var doc = win.document,
        selector_statelink = doc.getElementById('selector-status-link');
    selector_statelink.onclick = function(e){
        var status = this.firstChild.data === 'enabled' ? 1 : 0,
            new_status = (status ? 'disabled' : 'enabled'),
            request_data = {'cgiaction':'selectorhelper','action':'statetoggle','setstate':new_status};
            request = new XMLHttpRequest();
        if ( ! confirm('Are you sure you want to ' + (status ? 'disable' : 'enable') + ' PHP Selector?') ) {
            return;
        }
        request.open("POST", uri);
        request.onreadystatechange = function(){
            if ( request.readyState === 4 && request.status === 200 ) {
                var data = ie ? json_parse(request.responseText) : JSON.parse(request.responseText);
                if ( data['status'] === 'OK' ) {
                    selector_statelink.firstChild.data = new_status;
                }
            }
        };
        request.setRequestHeader( "Content-Type", "application/x-www-form-urlencoded" );
        request.send(encodeFormData(request_data));
    };
}(window));