<?php
include_once('LVE.class.php');
$version = $LVE->ReturnProcLVEVerion();
$users = $LVE->ReturnPanelUsers();
?>

<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="list">
    <tr>
      <td class="listtitle" colspan="<?php echo (6 == $version) ? '13':'11';?>"><b>Settings</b></td>
    </tr>

    <tr>
        <td class="list"><strong>LVE id</strong></td> 
    	<td class="list"><strong>Username</strong></td>
    	<td class="list"><strong>Domain</strong></td>
    	<td class="list"><strong>CPU</strong></td>
    	<td class="list"><strong>nCPU</strong></td>
    	<td class="list"><strong>vMEM(MB)</strong></td>
    	<?php echo (6 == $version) ? '<td class="list"><strong>pMEM(MB)</strong></td>':'';?>
    	<td class="list"><strong>EP</strong></td>
    	<?php echo (6 == $version) ? '<td class="list"><strong>nPROC</strong></td>':'';?>
    	<td class="list"><strong>IO<?php echo (6 == $version) ? ' (KB/s)':'';?></strong></td>
    	<td class="list"><strong>PACKAGE</strong></td>
    	<td class="list"></td>
    </tr>
    
<?php $i = 0; ?>
<?php foreach ($users as $item): ?>
    <?php
        if (($i%2) == 0) {
            $row = '1';
        } else {
            $row = '2';
        }
    ?>
    <tr>
        <td class="list<?php echo $row;?>" style="text-align:right;"><?php echo $item['ID'];?></td>
        <td class="list<?php echo $row;?>"><?php echo $item['UserName'];?></td>
        <td class="list<?php echo $row;?>"><?php echo $item['Domain'];?></td>
        <td class="list<?php echo $row;?>"><span style="float:right">
            <?php if (strstr($item['CPU'],"*")) {
                echo '<span style="color:#EE0000">'.str_replace('*','',$item['CPU']).'</span>';
            } else {
                echo $item['CPU'];
            }
            ?>
            </span>
        </td>
        <td class="list<?php echo $row;?>"><span style="float:right">
            <?php if (strstr($item['NCPU'],"*")) {
                echo '<span style="color:#EE0000">'.str_replace('*','',$item['NCPU']).'</span>';
            } else {
                echo $item['NCPU'];
            }
            ?>
            </span>
        </td>
        <td class="list<?php echo $row;?>">
            <?php 
                if (str_replace('M','',$item['VMEM']) == '0') {
                    echo '<center>-</center>';
                } elseif (str_replace('M','',str_replace('*','',$item['VMEM'])) == 0) {
                    echo '<center><span style="color:#EE0000">-</span></center>';
                } else {
                
                    if (strstr($item['VMEM'],"*")) {
                        echo '<span style="color:#EE0000; float:right;">'.str_replace('M','',str_replace('*','',$item['VMEM'])).'</span>';
                    } else {
                        echo '<span style="float:right;">'.str_replace('M','',$item['VMEM']).'</span>';
                    }
                }
            ?>
        </td>
        <?php if (6 == $version) {
                echo '<td class="list'.$row.'">';
                    if (str_replace('M','',$item['PMEM']) == '0') {
                        echo '<center>-</center>';
                    } elseif (str_replace('M','',str_replace('*','',$item['PMEM'])) == '0') {
                        echo '<center style="color:#EE0000">-</center>';
                    } else {
                    
                        if (strstr($item['PMEM'],"*")) {
                            echo '<span style="color:#EE0000; float:right;">'.str_replace('M','',str_replace('*','',$item['PMEM'])).'</span>';
                        } else {
                            echo '<span style="float:right;">'.str_replace('M','',$item['PMEM']).'</span>';
                        }
                    }
                echo '</td>';
            }
        ?>
        <td class="list<?php echo $row;?>"><span style="float:right">
            <?php if (strstr($item['EP'],"*")) {
                echo '<span style="color:#EE0000">'.str_replace('*','',$item['EP']).'</span>';
            } else {
                echo $item['EP'];
            }
            ?>
            </span>
        </td>
        <?php if (6 == $version) {
                echo '<td class="list'.$row.'">';
                if (strstr($item['NPROC'],"*")) {
                    if (str_replace('*','',$item['NPROC']) == 0) {
                        echo '<center style="color:#EE0000">-</center>';
                    } else {
                        echo '<span style="color:#EE0000; float:right">'.str_replace('*','',$item['NPROC']).'</span>';
                    }
                } else {
                    if ($item['NPROC'] == 0) {
                        echo '<center style="color:#EE0000">-</center>';
                    } else {
                        echo '<span style="float:right;">'.$item['NPROC'].'</span>';
                    }
                }
                echo '</td>';
            }
        ?>
        <td class="list<?php echo $row;?>">
        <?php if (strstr($item['IOPRIO'],"*")) {
                    if (str_replace('*','',$item['IOPRIO']) == 0) {
                        echo '<center style="color:#EE0000">-</center>';
                    } else {
                        echo '<span style="color:#EE0000; float:right">'.str_replace('*','',$item['IOPRIO']).'</span>';
                    }
                } else {
                    if ($item['IOPRIO'] == 0) {
                        echo '<center style="color:#EE0000">-</center>';
                    } else {
                        echo '<span style="float:right;">'.$item['IOPRIO'].'</span>';
                    }
                }
        ?>
        </td>
        <td class="list<?php echo $row;?>"><?php echo $item['PACKAGE'];?></td>
        <td class="list<?php echo $row;?>">
            <a href="Edit.html?uid=<?php echo $item['ID'];?>&acc=<?php echo $item['UserName'];?>&action=edit">[Edit]</a>&nbsp;
            <a href="Edit.html?uid=<?php echo $item['ID'];?>&acc=<?php echo $item['UserName'];?>&action=delete">[Reset]</a>&nbsp;
            <a href="History.html?lveid=<?php echo $item['ID'];?>&period=10m">[History]</a>
        </td>
    </tr>
<?php $i++; endforeach; ?>
</table>