<?php
/*
     * Title: LVEManager Module.
     * Version: 1.1.0 (04/Nov/2011)
     * Author: Krishtopin Anton. AKrishtopin@cloudlinux.com
     * Site: http://CloudLinux.com
*/
include_once('LVE.class.php');
$version = $LVE->ReturnProcLVEVerion();
$users = $LVE->ReturnPanelUsers();
//$version = 4;
?>
<table width="100%" border="0" align="center" cellpadding="2" cellspacing="1" class="list">
    <tr>
        <td class="listtitle" colspan="5"><b>Stats</b></td>
    </tr>
    <tr>
        <td class="list">
            <br />
            <form id="form1" name="form1" method="post" action="">
                <input type="hidden" name="cgiaction" value="lvestat">
                <table cellpadding="0" cellspacing="4" border="0" align="center" class="edit">
                    <tr>
                        <td align="right" width="150px">Top LVEs</td>
                        <td align="left" width="200px">
                            <input type="radio" name="selstat" value="top" <?php echo ($_POST['selstat'] == 'top') ? 'checked':''; ?> <?php echo (!isset($_POST['selstat'])) ? 'checked':'';?> />
                            by
                            <select name="lve-top-condition">
                                <option value="any_faults" <?php echo ($_POST['lve-top-condition'] == 'any_faults') ? 'selected':''; ?>>Any Faults</option>
                                <option value="cpu_avg" <?php echo ($_POST['lve-top-condition'] == 'cpu_avg') ? 'selected':''; ?>>Average CPU</option>
                                <option value="cpu_max" <?php echo ($_POST['lve-top-condition'] == 'cpu_max') ? 'selected':''; ?>>Max CPU</option>
                                <option value="io_avg" <?php echo ($_POST['lve-top-condition'] == 'io_avg') ? 'selected':''; ?>>Average IO</option>
                                <option value="io_max" <?php echo ($_POST['lve-top-condition'] == 'io_max') ? 'selected':''; ?>>Max IO</option>
                                <option value="mep_avg" <?php echo ($_POST['lve-top-condition'] == 'mep_avg') ? 'selected':''; ?>>Average EP</option>
                                <option value="mep_max" <?php echo ($_POST['lve-top-condition'] == 'mep_max') ? 'selected':''; ?>>Max EP</option>
                                <?php if ($version == 6): ?>
                                    <option value="nproc_avg" <?php echo ($_POST['lve-top-condition'] == 'nproc_avg') ? 'selected':''; ?>>Average nProc</option>
                                    <option value="nproc_max" <?php echo ($_POST['lve-top-condition'] == 'nproc_max') ? 'selected':''; ?>>Max nProc</option>
                                    <option value="pmem_avg" <?php echo ($_POST['lve-top-condition'] == 'pmem_avg') ? 'selected':''; ?>>Average PMem</option>
                                    <option value="pmem_max" <?php echo ($_POST['lve-top-condition'] == 'pmem_max') ? 'selected':''; ?>>Max PMem</option>
                                <?php endif; ?>
                                <option value="total_ep_faults" <?php echo ($_POST['lve-top-condition'] == 'total_ep_faults') ? 'selected':''; ?>>Entry Procs Faults</option>
                                <?php if ($version == 6): ?>
                                    <option value="total_nproc_faults" <?php echo ($_POST['lve-top-condition'] == 'total_nproc_faults') ? 'selected':''; ?>>Processes Faults</option>
                                    <option value="total_pmem_faults" <?php echo ($_POST['lve-top-condition'] == 'total_pmem_faults') ? 'selected':''; ?>>PMem Faults</option>
                                <?php endif; ?>    
                                <option value="total_vmem_faults" <?php echo ($_POST['lve-top-condition'] == 'total_vmem_faults') ? 'selected':''; ?>>VMem Faults</option>
                                <option value="vmem_avg" <?php echo ($_POST['lve-top-condition'] == 'vmem_avg') ? 'selected':''; ?>>Average VMem</option>
                                <option value="vmem_max" <?php echo ($_POST['lve-top-condition'] == 'vmem_max') ? 'selected':''; ?>>Max VMem</option>
                            </select>
                        </td>
                        <td align="right" width="170px">
                            Limit:
                            <select name="lve-top-limit">
                                <option value="25" <?php echo ($_POST['lve-top-limit'] == '25') ? 'selected':''; ?>>25</option>
                                <option value="50" <?php echo ($_POST['lve-top-limit'] == '50') ? 'selected':''; ?>>50</option>
                                <option value="75" <?php echo ($_POST['lve-top-limit'] == '75') ? 'selected':''; ?>>75</option>
                                <option value="100" <?php echo ($_POST['lve-top-limit'] == '100') ? 'selected':''; ?>>100</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">LVEs approaching limit</td>
                        <td align="left">
                            <input type="radio" name="selstat" value="limit" <?php echo ($_POST['selstat'] == 'limit') ? 'checked':''; ?> />
                            by
                            <select name="lve-limit-condition">
                                <option value="cpu_avg" <?php echo ($_POST['lve-limit-condition'] == 'cpu_avg') ? 'selected':''; ?>>Average CPU</option>
                                <option value="cpu_max" <?php echo ($_POST['lve-limit-condition'] == 'cpu_max') ? 'selected':''; ?>>Max CPU</option>
                                <option value="io_avg" <?php echo ($_POST['lve-limit-condition'] == 'io_avg') ? 'selected':''; ?>>Average IO</option>
                                <option value="io_max" <?php echo ($_POST['lve-limit-condition'] == 'io_max') ? 'selected':''; ?>>Max IO</option>
                                <option value="mep_avg" <?php echo ($_POST['lve-limit-condition'] == 'mep_avg') ? 'selected':''; ?>>Average EP</option>
                                <option value="mep_max" <?php echo ($_POST['lve-limit-condition'] == 'mep_max') ? 'selected':''; ?>>Max EP</option>
                                <?php if ($version == 6): ?>
                                    <option value="nproc_avg" <?php echo ($_POST['lve-limit-condition'] == 'nproc_avg') ? 'selected':''; ?>>Average nProc</option>
                                    <option value="nproc_max" <?php echo ($_POST['lve-limit-condition'] == 'nproc_max') ? 'selected':''; ?>>Max nProc</option>
                                    <option value="pmem_avg" <?php echo ($_POST['lve-limit-condition'] == 'pmem_avg') ? 'selected':''; ?>>Average PMem</option>
                                    <option value="pmem_max" <?php echo ($_POST['lve-limit-condition'] == 'pmem_max') ? 'selected':''; ?>>Max PMem</option>
                                <?php endif; ?>
                                <option value="vmem_avg" <?php echo ($_POST['lve-limit-condition'] == 'vmem_avg') ? 'selected':''; ?>>Average VMem</option>
                                <option value="vmem_max" <?php echo ($_POST['lve-limit-condition'] == 'vmem_max') ? 'selected':''; ?>>Max VMem</option>
                            </select>
                        </td>
                        <td align="right">
                            Using:
                            <select name="lve-limit-value">
                                <option value="50" <?php echo ($_POST['lve-limit-value'] == '50') ? 'selected':''; ?>>50%</option>
                                <option value="75" <?php echo ($_POST['lve-limit-value'] == '75') ? 'selected':''; ?>>75%</option>
                                <option value="90" <?php echo ($_POST['lve-limit-value'] == '90') ? 'selected':''; ?>>90%</option>
                                <option value="95" <?php echo ($_POST['lve-limit-value'] == '95') ? 'selected':''; ?>>95%</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">Fault LVE</td>
                        <td align="left">
                            <input type="radio" name="selstat" value="fault" <?php echo ($_POST['selstat'] == 'fault') ? 'checked':''; ?> />
                            by
                            <select name="lve-fault-condition">
                                <option value="any" <?php echo ($_POST['lve-fault-condition'] == 'any') ? 'selected':''; ?>>Any Limit</option>
                                <option value="mep" <?php echo ($_POST['lve-fault-condition'] == 'mep') ? 'selected':''; ?>>Max Entry Processes Limit</option>
                                <?php if ($version == 6): ?>
                                    <option value="nproc" <?php echo ($_POST['lve-fault-condition'] == 'nproc') ? 'selected':''; ?>>Max Processes Limit</option>
                                    <option value="pmem" <?php echo ($_POST['lve-fault-condition'] == 'pmem') ? 'selected':''; ?>>Max PMem Limit</option>
                                <?php endif; ?>
                                <option value="vmem" <?php echo ($_POST['lve-fault-condition'] == 'vmem') ? 'selected':''; ?>>Max VMem Limit</option>
                            </select>
                        </td>
                        <td align="right">
                            Threshold:
                            <select name="lve-fault-threshold">
                                <option value="1" <?php echo ($_POST['lve-fault-threshold'] == '1') ? 'selected':''; ?>>1</option>
                                <option value="10" <?php echo ($_POST['lve-fault-threshold'] == '10') ? 'selected':''; ?>>10</option>
                                <option value="50" <?php echo ($_POST['lve-fault-threshold'] == '50') ? 'selected':''; ?>>50</option>
                                <option value="100" <?php echo ($_POST['lve-fault-threshold'] == '100') ? 'selected':''; ?>>100</option>
                                <option value="1000" <?php echo ($_POST['lve-fault-threshold'] == '1000') ? 'selected':''; ?>>1000</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3" align="right">
                            Timeframe
                            <select name="lve-timespan">
                                <option value="10m" <?php echo ($_POST['lve-timespan'] == '10m') ? 'selected':''; ?>>Last 10 minutes</option>
                                <option value="30m" <?php echo ($_POST['lve-timespan'] == '30m') ? 'selected':''; ?>>Last 30 minutes</option>
                                <option value="1h" <?php echo ($_POST['lve-timespan'] == '1h') ? 'selected':''; ?>>Last hour</option>
                                <option value="4h" <?php echo ($_POST['lve-timespan'] == '4h') ? 'selected':''; ?>>Last 4 hours</option>
                                <option value="today" <?php echo ($_POST['lve-timespan'] == 'today') ? 'selected':''; ?>>Today</option>
                                <option value="yesterday" <?php echo ($_POST['lve-timespan'] == 'yesterday') ? 'selected':''; ?>>Yesterday</option>
                                <option value="7d" <?php echo ($_POST['lve-timespan'] == '7d') ? 'selected':''; ?>>Last 7 days</option>
                                <option value="30d" <?php echo ($_POST['lve-timespan'] == '30d') ? 'selected':''; ?>>Last 30 days</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3" align="center">
                            <input type="submit" name="lve-stat-submit" value="Show">
                        </td>
                    </tr>
                </table>
            </form>
        </td>
    </tr>
<?php if (count($_POST) != 0):

switch ($_POST['selstat']) {
    case 'top':
        $stat = $LVE->GetStatData('--csv --period='.$_POST['lve-timespan'].' --order-by='.$_POST['lve-top-condition'].' --limit='.$_POST['lve-top-limit']);
    break;
    
    case 'limit':
        $stat = $LVE->GetStatData('--csv --period='.$_POST['lve-timespan'].' --by-usage='.$_POST['lve-limit-condition'].' --percentage='.$_POST['lve-limit-value']);
    break;
    
    case 'fault':
        $stat = $LVE->GetStatData('--csv --period='.$_POST['lve-timespan'].' --by-fault='.$_POST['lve-fault-condition'].' --threshold='.$_POST['lve-fault-threshold']);
    break;
}
endif; ?>
    <tr>
        <td class="list">
            <br />
            <?php if (count($stat) != 0): ?>
                <table cellpadding="2" cellspacing="0" align="center">
                    <tr>
                        <td colspan="3" class="filled">&nbsp;</td>
                        <td class="filled" colspan="3">CPU</td>
                        <td class="filled" colspan="3">vMEM(MB)</td>
                        <?php if ($version == 6): ?>
                            <td class="filled" colspan="3">pMEM(MB)</td>
                        <?php endif; ?>
                        <td class="filled" colspan="3">EP</td>
                        <?php if ($version == 6): ?>
                            <td class="filled" colspan="3">nPROC</td>
                        <?php endif; ?>
                        <td class="filled" colspan="3">IO<?php echo ($version == 6) ? '(KB/s)':'';?></td>
                        <td colspan="5">&nbsp;</td>
                    </tr>
                    <tr class="lower" align="center">
                        <td class="border-right-left">ID</td>
                        <td class="border-right">Username</td>
                        <td class="border-right">Domain</td>
                        <td class="border-right">a</td>
                        <td class="border-right">m</td>
                        <td class="border-right">l</td>
                        <td class="border-right">a</td>
                        <td class="border-right">m</td>
                        <td class="border-right">l</td>
                        <?php if ($version == 6): ?>
                            <td class="border-right">a</td>
                            <td class="border-right">m</td>
                            <td class="border-right">l</td>
                        <?php endif; ?>
                        <td class="border-right">a</td>
                        <td class="border-right">m</td>
                        <td class="border-right">l</td>
                        <?php if ($version == 6): ?>
                            <td class="border-right">a</td>
                            <td class="border-right">m</td>
                            <td class="border-right">l</td>
                        <?php endif; ?>
                        <td class="border-right">a</td>
                        <td class="border-right">m</td>
                        <td class="border-right">l</td>
                        <td class="border-right">VMemF</td>
                        <?php if ($version == 6): ?>
                            <td class="border-right">PMemF</td>
                        <?php endif; ?>    
                        <td class="border-right">EPf</td>
                        <?php if ($version == 6): ?>
                            <td class="border-right">NprocF</td>
                        <?php endif; ?>
                        <td></td>
                    </tr>
                    <?php $i = 0; foreach ($stat as $item): ?>
                        <?php
                            if (($i%2) == 0) {
                                $row = '1';
                            } else {
                                $row = '2';
                            }
                        ?>
                        <tr class="row<?php echo $row;?>">
                            <td style="border-left:1px solid #000000;" class="aling-right"><?php echo $item['ID'];?></td>
                            <td><?php echo $users[$item['ID']]['UserName'];?></td>
                            <td><?php echo $users[$item['ID']]['Domain'];?></td>
                            <td><?php echo $item['aCPU'];?></td>
                            <td><?php echo $item['mCPU'];?></td>
                            <td><?php echo $item['lCPU'];?></td>
                            <td><?php echo round(($item['aVMem']/1024/1024),2);?></td>
                            <td><?php echo round(($item['mVMem']/1024/1024),2);?></td>
                            <td><?php echo ($item['lVMem']/1024/1024);?></td>
                            <?php if ($version == 6): ?>
                                <td><?php echo round(($item['aPMem']/1024/1024),2);?></td>
                                <td><?php echo round(($item['mPMem']/1024/1024),2);?></td>
                                <td><?php echo ($item['lPMem']/1024/1024);?></td>
                            <?php endif; ?>
                            <td><?php echo $item['aEP'];?></td>
                            <td><?php echo $item['mEP'];?></td>
                            <td><?php echo $item['lEP'];?></td>
                            <?php if ($version == 6): ?>
                                <td><?php echo $item['aNproc'];?></td>
                                <td><?php echo $item['mNproc'];?></td>
                                <td><?php echo $item['lNproc'];?></td>
                            <?php endif; ?>
                            <td><?php echo $item['aIO'];?></td>
                            <td><?php echo $item['mIO'];?></td>
                            <td><?php echo $item['lIO'];?></td>
                            <td><?php echo $item['VMemF'];?></td>
                            <?php if ($version == 6): ?>
                                <td><?php echo $item['PMemF'];?></td>
                            <?php endif; ?>    
                            <td><?php echo $item['EPf'];?></td>
                            <?php if ($version == 6): ?>
                                <td><?php echo $item['NprocF'];?></td>
                            <?php endif; ?>
                            <td><a class="chart" href="History.html?lveid=<?php echo $item['ID'];?>&period=<?php echo $_POST['lve-timespan'];?>">Chart</a></td>
                        </tr>
                    <?php $i++; endforeach; ?>
                </table>
            <?php endif; ?>
            <br />
        </td>
    </tr>
</table>
