<?php
// Check version
function check_version($data) {
    preg_match("/(\d\.\d|native)/", $data, $captured);
    $version = '';
    if ( isset($captured[1]) && strlen($captured[1]) ) {
        $version = $captured[1];
    }
    return $version;
}

// Checks username
function check_user($data) {
    preg_match("/([\w\-_.]+)/", $data, $captured);
    $user = '';
    if ( isset($captured[1]) && strlen($captured[1]) ) {
        $user = $captured[1];
    }
    return $user;
}

// checks period
// allowed values are digits with d, m, h; today; yesterday
function check_period($data) {
    preg_match("/(today|yesterday|\d+(?:h|m|d))/", $data, $captured);
    $period = '24h';
    if ( isset($captured[1]) && strlen($captured[1]) ) {
        $period = $captured[1];
    }
    return $period;
}
?>