<?php
/* Copyright Cloud Linux Inc 2010-2011 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
*/

include('nav.php');

class Ctrl_Nodeworx_LveReset extends Ctrl_Nodeworx_Plugin 
{
	protected function _init() 
	{
		if( IW::NW()->isReseller() ) 
		{
			throw new IWorx_Exception_ActionBlocked( '##LG_ACTION_BLOCKED##' );
	  	}
	}

	public function indexAction() 
	{

	    include_once('LVE.class.php');

	    $changed = false;
	    
	    if (isset($_POST['submit'])) {
	        $LVE->SetUserToDefault($_POST['uid']);
	        $changed = true;
	    }
	    
		$this->getView()->assign( 'title', 'CloudLinux LVE manager' );
		$this->getView()->assign( 'template', 'admin/reset' );
		$this->getView()->assign( 'nav', nav('settings') );
		$this->getView()->assign( 'changed', $changed );
        $this->getView()->assign( 'acc', $_REQUEST['acc'] );
        $this->getView()->assign( 'uid', $_REQUEST['uid'] );
 	}
}

?>
