<?php
/* Copyright Cloud Linux Inc 2010-2011 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
*/

function veParser()
{
$file = "/etc/container/ve.cfg";
$xml_parser = xml_parser_create();

if (!($fp = fopen($file, "r"))) {
    die("could not open XML input");
}

$data = fread($fp, filesize($file));
fclose($fp);
xml_parse_into_struct($xml_parser, $data, $vals, $index);
xml_parser_free($xml_parser);

$params = array();
$level = array();
        foreach ($vals as $xml_elem) {
  if ($xml_elem['type'] == 'open') {
    if (array_key_exists('attributes',$xml_elem)) {
      list($level[$xml_elem['level']],$extra) = array_values($xml_elem['attributes']);
    } else {
      $level[$xml_elem['level']] = $xml_elem['tag'];
    }
  }
  if ($xml_elem['type'] == 'complete') {
    $start_level = 2;
    $php_stmt = '$params';
    while($start_level < $xml_elem['level']) {
      $php_stmt .= '[$level['.$start_level.']]';
        $start_level++;
    }
    if(isset($xml_elem['attributes']['LIMIT']))
    {
       $php_stmt .= '[$xml_elem[\'tag\']] = $xml_elem[\'attributes\'][\'LIMIT\'];';
    }
    elseif(($xml_elem['attributes']['MAXENTRYPROCS']))
    {
       $php_stmt .= '[$xml_elem[\'tag\']] = $xml_elem[\'attributes\'][\'MAXENTRYPROCS\'];';
    }
    elseif( ($xml_elem['attributes']['ENABLED']))
    {
       $php_stmt .= '[$xml_elem[\'tag\']] = $xml_elem[\'attributes\'][\'ENABLED\'];';
    }
    else
    {
       $php_stmt .= '[$xml_elem[\'tag\']] = \'\';';
    }
    eval($php_stmt);
  }
}

return $params;
}


?>

