<?php
/* Copyright Cloud Linux Inc 2010-2011 All Rights Reserved                                                                                                   
 *                                                                                                                                                           
 * Licensed under CLOUD LINUX LICENSE AGREEMENT                                                                                                              
 * http://cloudlinux.com/docs/LICENSE.TXT                                                                                                                    
*/ 

require_once('modules/plesk-lvemanager/checkInput.php');
require_once('modules/plesk-lvemanager/roundmem.php');
require_once('modules/plesk-lvemanager/veParser.php');
require_once('modules/plesk-lvemanager/veProcParser.php');

class PackagesPage {
    private $module_pointer;                                                                                                                                 
                                                                                                                                                             
    public function _construct($ptr){                                                                                                                        
        $module_pointer=$ptr;                                                                                                                                
    }  

    public function getResult($vars){                                                                                                                        
	$ovars=$vars;	
	
//-------------------Parse here-------------------------------------
	$result = "";
	$ver = getLveVesrion();
	$veCfg = veParser();
	$pckCfg = getUserPackages();
	$vepckCfg = pckgParser();

	$avail_names = getAvailNames($ver);
	$name_to_titles = getnameToTitle();

	$result = "<tr><th>Package name</th>";
	for($i=0;$i<count($avail_names);$i++){
	    $result.="<th>".$name_to_titles[$avail_names[$i]]."</th>";
	}
	$result.="<th>Options</th></tr>";

	foreach($pckCfg as $key=>$value){
		if(trim($key)=="") continue;
    		$res=getDefaultPckg($key, $ver, $veCfg, $pckCfg, $vepckCfg, $avail_names);
		$result.= "<tr><td>".$key."</td>";
		for($i=0;$i<count($avail_names);$i++){
		    if(($avail_names[$i]=="MEM")||($avail_names[$i]=="PMEM")){
			$result.="<td>".roundMemB($res[$avail_names[$i]]*4*1024)."</td>";
		    } else {
			$result.="<td>".$res[$avail_names[$i]]."</td>";
		    }
		}
		$key=urlencode($key);
		$result .= "<td><a href=\"?tab=packages&action=packagesedit&acc={$key}\">[Edit]</a></td></tr>";
	}
	

    $ovars["LVE_LIST"]=$result;

//------------------------------------------------------------------
	

	return $ovars;


    }
}