<?php
/* Copyright Cloud Linux Inc 2010-2011 All Rights Reserved                                                                                                   
 *                                                                                                                                                           
 * Licensed under CLOUD LINUX LICENSE AGREEMENT                                                                                                              
 * http://cloudlinux.com/docs/LICENSE.TXT                                                                                                                    
*/ 
//ini_set('include_path',ini_get('include_path').':/usr/local/psa/admin/plib:');
require_once("modules/plesk-lvemanager/selectOpt.php");

class SelectorPage {
    private $module_pointer;                                                                                                                                 
                                                                                                                                                             
    public function _construct($ptr){                                                                                                                        
        $module_pointer=$ptr;                                                                                                                                
    }  

    public function getResult($vars){                                                                                                                        
	$ovars=$vars;	
	
//-------------------Parse here-------------------------------------
    $selectOpt = '';
    $selectList = '';
    foreach ( getSelectorData() as $key => $value ) {
        switch ( $value ) {
            case 0:
                $selectOpt .= '<option disabled="disabled">' . $key . '</option>';
                $selectList .= '<a href="#" style="color:#898989;" class="selector-version-disabled" title="disabled version">' . $key . '</a>' . '&nbsp;';
                break;
            case 2:
                $selectOpt .= '<option selected="selected">' . $key . '</option>';
                $ovars["SELECTOR_DEFAULT_VERSION"] = $key;
                $selectList .= '<span style="text-decoration:underline" title="version set as default">' . $key . '</span>' . '&nbsp;';
                break;
            default:
                $selectOpt .= '<option>' . $key . '</option>';
                $selectList .= '<a href="#" class="selector-version-enabled" title="enabled version">' . $key . '</a>' . '&nbsp;';
        }
    }
    $selectOpt .= "</select>";
    $ovars["SELECTOPT_SELECT"] = '<select id="selector-version-select">' . $selectOpt;
    $ovars["SELECTMOD_SELECT"] = '<select id="selector-modules-select">' . $selectOpt;
    $ovars["SELECTOR_SUPPORTED_VERSIONS"] = $selectList;
    $extString = "";
    $extDesc = getExtensionDescriptions();
    $extList = getExtensionsData( $ovars["SELECTOR_DEFAULT_VERSION"], $extDesc );
    $extTotal = count($extList);
    $colnum = 5;
    $rownum = intval( $extTotal / $colnum );
    if ( $extTotal % $colnum ) {
        $rownum += 1;
    }
    for ( $r=1; $r<=$rownum; $r++ ) {
        $color = $r == $rownum ? '#444444' : '#D8D8D8';
        $extString .= '<tr style="border-bottom:1px solid ' . $color . ';">';
        for ( $c=0; $c<$colnum; $c++ ) {
            $cellid = ($rownum * $c + $r - 1);
            if ( $cellid < $extTotal ) {
                $extString .= $extList[$cellid];
            }
            else {
                $extString .= "<td></td><td></td>";
            }
        }
        $extString .= "</tr>";
    }
    $ovars["SELECTOR_CTRL_STATE"] = $ovars["SELECTOR_DEFAULT_VERSION"] == 'native' ? ' disabled="disabled"' : "";
    $ovars["SELECTOPT_EXTTABLE"] = $extString;
    $ovars["SELECTOPT_EXTDESC"] = json_encode($extDesc);

//------------------------------------------------------------------
	

	return $ovars;


    }
}
