#!/bin/bash

if [ ! -e "/usr/local/psa/admin/.matplotlib" ]; then
    mkdir -p /usr/local/psa/admin/.matplotlib
    chown psaadm:psaadm /usr/local/psa/admin/.matplotlib
fi


PLUGIN=`/usr/local/psa/bin/custombutton -l | grep "Resource Usage"`                                                                                          
if [ -z "$PLUGIN" ]; then                                                                                                                                    
    /usr/local/psa/bin/custombutton -c -text "Resource Usage" -url "/lve.php" -place domain -public true -internal true -file "/usr/local/psa/admin/htdocs/images/modules/plesk-lvemanager/lve_EndUser_logo.png" -url_comp cname,pname,ftp_user
else
    PLUGINID=`/usr/local/psa/bin/custombutton -l | grep "Resource Usage" | cut -f1 -d' '`                                                                       
    if [ -n "$PLUGINID" ]; then                                                                                                                                 
        /usr/local/psa/bin/custombutton -r "$PLUGINID"                                                                                                          
        /usr/local/psa/bin/custombutton -c -text "Resource Usage" -url "/lve.php" -place domain -public true -internal true -file "/usr/local/psa/admin/htdocs/images/modules/plesk-lvemanager/lve_EndUser_logo.png" -url_comp cname,pname,ftp_user
    fi
fi

PLUGIN=`/usr/local/psa/bin/custombutton -l | grep "PHP Selector"`                                                                                          
if [ -z "$PLUGIN" ]; then                                                                                                                                    
    /usr/local/psa/bin/custombutton -c -text "PHP Selector" -url "/selector_user.php" -place domain -public true -internal true -file "/usr/local/psa/admin/htdocs/images/modules/plesk-lvemanager/lve_EndUserSelector_logo.png" -url_comp cname,pname,ftp_user
else
    PLUGINID=`/usr/local/psa/bin/custombutton -l | grep "PHP Selector" | cut -f1 -d' '`                                                                       
    if [ -n "$PLUGINID" ]; then                                                                                                                                 
        /usr/local/psa/bin/custombutton -r "$PLUGINID"               
    	/usr/local/psa/bin/custombutton -c -text "PHP Selector" -url "/selector_user.php" -place domain -public true -internal true -file "/usr/local/psa/admin/htdocs/images/modules/plesk-lvemanager/lve_EndUserSelector_logo.png" -url_comp cname,pname,ftp_user                                                                                           
    fi
fi   
mysqlpwd=`cat /etc/psa/.psa.shadow`                                                                                                                          
mysql_client="mysql -N -uadmin -p$mysqlpwd"
RESULT=`echo "select * from psa.Modules where name=\"plesk-lvemanager\"" | $mysql_client`                                                                    
if [ -z "$RESULT" ]; then                                                                                                                                    
    echo "insert into psa.Modules(name,packname,display_name,description,icon) values('plesk-lvemanager','plesk-lvemanager','LVE Manager','LVE manager','/images/modules/plesk-lvemanager/addon_CloudLinux_logo.png')" | $mysql_client
fi 
