// # CloudLinux LVE Manager VERSION:0.83
(function(win){
    var doc             = win.document,
        start_butt      = doc.getElementById("start-button"),
        stop_butt       = doc.getElementById("stop-button"),
        ref_butt        = doc.getElementById("refresh-button"),
        del_l           = doc.getElementById("delay-dropdown-list"),
        del_items       = del_l.getElementsByTagName("option"),
        ref_field       = doc.getElementById("refreshing"),
        uri             = win.location.href.split("?"),
        selected        = 0,
        def_timeout     = 3,
        intID,
        display_it      = function(string){
            var topbody = document.getElementById("topbody"),
				data = JSON.parse(string),
				header = data[0],
				header_row = doc.createElement('tr');

            while ( topbody.firstChild ) {
            	topbody.removeChild(topbody.firstChild);
            }
			for ( var i=0;i<header.length;i++ ) {
				var cell = doc.createElement('td');
				cell.className = 'topheader';
				cell.appendChild(doc.createTextNode(header[i]));
				header_row.appendChild(cell);
			}
			topbody.appendChild(header_row);
			for ( var j=1;j<data.length;j++ ) {
				var row_class = j % 2 ? 'odd' : 'even';
				var row = doc.createElement('tr');
				row.className = row_class;
				for ( var i=0;i<data[j].length;i++ ) {
					var cell = doc.createElement('td');
					cell.appendChild(doc.createTextNode(data[j][i]));
					row.appendChild(cell);
				}
				topbody.appendChild(row);
			}
        },
        get_async       = function( url, callback ) {
            var request = new XMLHttpRequest();
            request.open("GET", url+"?cgiaction=lvetop&timer="+del_l.value+"&reload=yes&randnum="+new Date().getTime());
            request.onreadystatechange = function(){
                if ( request.readyState === 4 && request.status === 200 ) {
                    var request_type = request.getResponseHeader("Content-Type");
                    if ( request_type === 'application/json' ) {
                        display_it( request.responseText );
                    }
                }
            };
            request.send(null);
        },
        reload_page     = function(){
            return setInterval(function(){
                if ( ref_field.value == 0 ) {
                    ref_field.value = del_l.value;
                    get_async( uri[0], display_it );
                    return;
                }
                ref_field.value -= 1;
            }, 1000);
        };
    
    for ( var i in del_items ) {
        if ( del_items[i].value === undefined ) continue;
        del_items[i].selected = ( selected == passed_timer && del_items[i].value == def_timeout )
            ? true
            : del_items[i].value == passed_timer
                ? true
                : false;
    }
    ref_field.value = del_l.value;
    intID = reload_page();

    stop_butt.onclick=function(e){
        timer_on = false;
        clearInterval(intID);
    };
    start_butt.onclick=function(e){
        if ( !timer_on ) {
            intID = reload_page();
            timer_on = true;
        }
    };
    ref_butt.onclick=function(){
        win.location.reload();
    };
}(window));
