    <table class="iw-table iw-w-full">
      <tr class="iw-table-hd">
        <td class="iw-w-xs left">
	Resource
        </td>
        <td>
          Available
        </td>
        <td>
          Used
        </td>
        <td class="iw-w-s">
          Used %
        </td>
      </tr>

      <tr class="{cycle} ruler">
        <td class="nowrap">
CPU
</td>
        <td class="center">
100%
</td>
        <td class="center">
{$cpuUsage}%
</td>
<td class="center">
          {if $cpuUsage > 90}
            {assign var='iw_message_mode' value='negative'}
          {else}
            {assign var='iw_message_mode' value='positive'}
          {/if}
          {iw_message_block mode=$iw_message_mode}
            {$cpuUsage|string_format:"%.2f"}%
          {/iw_message_block}
</td>

</tr>

<tr class="{cycle} ruler">
        <td class="nowrap">
Memory
</td>
        <td class="center">
{$lmemround}
</td>
        <td class="center">
{if $mem_cur > 0}{$mem_cur}{else}0{/if}
</td>
<td class="center">
          {if $memUsage > 90}
            {assign var='iw_message_mode' value='negative'}
          {else}
            {assign var='iw_message_mode' value='positive'}
          {/if}
          {iw_message_block mode=$iw_message_mode}
            {$memUsage|string_format:"%.2f"}%
          {/iw_message_block}
</td>

</tr>

<tr class="{cycle} ruler">
        <td class="nowrap">
Entry Processes
</td>
        <td class="center">
{$lep}
</td>
        <td class="center">
{$mep_cur}
</td>
<td class="center">
          {if $procUsage > 90}
            {assign var='iw_message_mode' value='negative'}
          {else}
            {assign var='iw_message_mode' value='positive'}
          {/if}
          {iw_message_block mode=$iw_message_mode}
            {$procUsage|string_format:"%.2f"}%
          {/iw_message_block}
</td>
</tr>
</table>

<table class="iw-table iw-w-full">
<tr class="iw-table-hd">
        <td class="iw-w-xs left" colspan="5">Usage graph</td>
</tr>
<tr class="{cycle} ruler">
<td colspan="5">
<form id="form1" name="form1" method="post" action="">
<strong>Timeframe: </strong><select id='period' name='period' size='1'>
<option value='10m' {if $period eq '10m'}selected="selected"{/if}>Last 10 minutes</option>
<option value='30m' {if $period eq '30m'}selected="selected"{/if}>Last 30 minutes</option>
<option value='1h' {if $period eq '1h'}selected="selected"{/if}>Last hour</option>
<option value='4h' {if $period eq '4h'}selected="selected"{/if}>Last 4 hours</option>
<option value='1d' {if $period eq '1d'}selected="selected"{/if}>Last 24 hours</option>
<option value='today' {if $period eq 'today'}selected="selected"{/if}>Today</option>
<option value='yesterday' {if $period eq 'yesterday'}selected="selected"{/if}>Yesterday</option>
<option value='7d' {if $period eq '7d'}selected="selected"{/if}>Last 7 days</option>
<option value='30d' {if $period eq '30d'}selected="selected"{/if}>Last 30 days</option><
</select> <input type="submit"> 
</form> 
<center><img src="/siteworx/resource/image?period={$period}" /></center></td>
</tr>
</table> 

<table class="iw-table iw-w-full">
<tr class="iw-table-hd">
        <td class="iw-w-xs left" colspan="12">Detailed usage statistics</td>
</tr>
<tr class="{cycle} ruler">
    <td title="Beginning of period"><b>From</b></td>
    <td title="End of period"><b>To</b></td>
    <td title="Average CPU usage"><b>aCPU</b></td>
    <td title="Max CPU usage"><b>mCpu</b></td>
    <td title="Average Entry Processes"><b>aEP</b></td>
    <td title="Max Entry Processes"><b>mEP</b></td>
    <td title="Entry Processes Limit (simultaneously running PHP and CGI scripts, as well as CRON jobs and SHELL sessions)"><b>lEP</b></td>
    <td title="Average Memory Usage"><b>aMEM</b></td>
    <td title="Max Memory Usage"><b>mMEM</b></td>
    <td title="Memory Limit"><b>lMEM</b></td>
    <td title="Number of times application hasn't been able to execute correctly due to memory limit"><b>MemF</b></td>
    <td title="Number of times entry processes limit was reached"><b>MepF</b></td>
</tr>
{foreach from=$lveinfo item=lveInfoDet}	
<tr class="{cycle} ruler">
                <td>{$lveInfoDet.0}</td>
                <td>{$lveInfoDet.1}</td>
                <td>{$lveInfoDet.2}</td>
                <td>{$lveInfoDet.3}</td>
                <td>{$lveInfoDet.5}</td>
                <td>{$lveInfoDet.6}</td>
                <td>{$lveInfoDet.7}</td>
                <td>{$lveInfoDet.8}</td>
                <td>{$lveInfoDet.9}</td>
                <td>{$lveInfoDet.10}</td>
                <td>{$lveInfoDet.11}</td>
                <td>{$lveInfoDet.12}</td>
</tr>
{/foreach}
</table>
