(function(win){
    var doc = win.document,
        version_select   = doc.getElementById('user-selector-select-version'),
        selectsave = doc.getElementById('user-selector-version-save');
    selectsave.onclick = function(e){
        var selected_version = version_select[version_select.selectedIndex].firstChild.nodeValue,
            request = new XMLHttpRequest(),
            request_data = {"version":selected_version,"action":"versionsave","username":username};
        request.open("POST",uri);
        request.onreadystatechange = function(){
            if ( request.readyState === 4 && request.status === 200 ) {
                var request_type = request.getResponseHeader("Content-Type");
                if ( request_type === 'application/json' ) {
                    //var data = ie ? json_parse(request.responseText) : JSON.parse(request.responseText);
                    var data = JSON.parse(request.responseText),
                        current_version;
                    if ( data !== undefined ) {
                        if ( 'data' in data ) {
                            while ( version_select.firstChild ) {
                                version_select.removeChild(version_select.firstChild);
                            }
                            for ( index in data['data']) {
                                if ( data['data'][index] == 0 ) {
                                    continue;
                                }
                                else if ( data['data'][index] == 3 ) {
                                    var selectOpt = new Option(index, index);
                                    selectOpt.selected = true;
                                    doc.getElementById("user-selector-current-version").firstChild.nodeValue = index;
                                    var current_version = index;
                                }
                                else {
                                    var selectOpt = new Option(index, index);
                                }
                                version_select.options[version_select.options.length] = selectOpt;
                                displayIt('info','Selector version has been changed to ' + current_version);
                            }
                        }
                    }
                }
            }
        };
        request.setRequestHeader( "Content-Type", "application/x-www-form-urlencoded" );
        request.send(encodeFormData(request_data));
    };
}(window));