<?php
/* Copyright Cloud Linux Inc 2010-2011 All Rights Reserved                                                                                                   
 *                                                                                                                                                           
 * Licensed under CLOUD LINUX LICENSE AGREEMENT                                                                                                              
 * http://cloudlinux.com/docs/LICENSE.TXT                                                                                                                    
*/ 

require_once('modules/pm.php');

require_once('modules/plesk-lvemanager/indexuser.php');
require_once('modules/plesk-lvemanager/detailsuser.php');

class ModuleUserForm extends pm_Form{

    private $_action;
    
    public function setAction($act){
	$this->_action = $act;
    }

    public function define()                                                                                                                                 
    {                                                                                                                                                        
            $this->addTemplates(array(                                                                                                                       
                'main' => 'main.tpl',                                                                                                                        
                'form' => 'form.tpl',                                                                                                                        
                'lve-module' => "modules/plesk-lvemanager/{$this->_action}.tpl",                                                                             
            ));                                                                                                                                              
                                                                                                                                                             
        parent::define();                                                                                                                                    
    }

    public function assign(){
	$vars = array(                                                                                                                                       
            'TEST' => "NO TABS"
        ); 

	switch($this->_action){
	    case 'details_user':
		$hm = new DetailsUserPage($this);                                                                                                                
                $vars=$hm->getResult($vars);
	    break;                                                                                                                           
            default:                                                                                                                                  
                $hm = new IndexUserPage($this);                                                                                                                
                $vars=$hm->getResult($vars);                                                                                                                  
	}
	$this->addVars($vars);
	parent::assign();
    }  

    public function parse()                                                                                                                                  
    {                                                                                                                                                                                                                                                                         
        parent::parse('DOCUMENT', 'lve-module');                                                                                                                   
    }  
}