<?php
/* Copyright Cloud Linux Inc 2010-2011 All Rights Reserved                                                                                                   
 *                                                                                                                                                           
 * Licensed under CLOUD LINUX LICENSE AGREEMENT                                                                                                              
 * http://cloudlinux.com/docs/LICENSE.TXT                                                                                                                    
*/ 

class HomePage {
    private $module_pointer;

    public function _construct($ptr){
	$module_pointer=$ptr;
    }

    function get_login($id){                                                                                                                                     
       $rs = posix_getpwuid($id);                                                                                                                             
       $nm = $rs["name"];                                                                                                                                                                                                                                                                                           
       return $nm;                                                                                                                                  
    }   


    public function getResult($vars){
	$ovars=$vars;
	ob_start();                                                                                                                                  
        passthru("/usr/sbin/lveps -d -n -c1");                                                                                                                 
        $epsInfoTmp = ob_get_contents();                                                                                                             
        ob_end_clean(); 
	$lines = explode("\n",$epsInfoTmp);
	$lines_cnt = count($lines);
	$result = "";
	
	for($index=0; $index<1;$index++){
	    $result="<tr>";
	    $vars = explode(" ",$lines[$index]);
	    $vars_cnt = count($vars);
	    $nospaces_vars = array();
	    for($jndex=0;$jndex<$vars_cnt;$jndex++){
		if(trim($vars[$jndex])!==""){
		    $nospaces_vars[]=trim($vars[$jndex]);
		}
	    }
	    $vars_cnt = count($nospaces_vars);
	    if ($vars_cnt<6) continue;
	    for($jndex=0;$jndex<($vars_cnt);$jndex++){
		$rs = $nospaces_vars[$jndex];
		$result .= "<th>".$rs."</th>";
	    }
	    $result .= "</tr>\n"; 
	}
	
	for($index=1; $index<$lines_cnt;$index++){
	    if((($index-1)%2)==0){
		$result .= "<tr class=\"oddrowbg\">\n";
	    } else {
		$result .= "<tr class=\"evenrowbg\">\n";
	    }
	    $vars = explode(" ",$lines[$index]);
	    $vars_cnt = count($vars);
	    $nospaces_vars = array();
	    for($jndex=0;$jndex<$vars_cnt;$jndex++){
		if(trim($vars[$jndex])!==""){
		    $nospaces_vars[]=trim($vars[$jndex]);
		}
	    }
	    $vars_cnt = count($nospaces_vars);
	    if ($vars_cnt<6) continue;
	    for($jndex=0;$jndex<($vars_cnt);$jndex++){
		$rs = $nospaces_vars[$jndex];
		$result .= "<td>".$rs."</td>";
	    }
	    $result .= "</tr>\n"; 
	}
	$ovars["LVE_LIST"] = $result;
	$scrollpos = get_gpc("scrollpos",0);
	$ovars["LVE_SCROLLPOS"] = $scrollpos;
	$timer = get_gpc("timer",0);
	$ovars["LVE_TIMER"] = $timer;

	if($timer > 0)                                                                                                                                   
         $ovars["LVE_JAVA_INJECTION1"] = "if (val == ".$timer.")";
	else                                                                                                                                             
         $ovars["LVE_JAVA_INJECTION1"] = "if (selected == \"1\")";

	if($scrollpos >= 0)
         $ovars["LVE_JAVA_INJECTION2"] = "if (!autoloaded){ document.body.scrollTop = 297;} else { document.body.scrollTop = ".trim($scrollpos).";}";                                                                                                                                                    
	else                                                                                                                                            
	 $ovars["LVE_JAVA_INJECTION2"] = "";                                                                                                                                                          

	$ovars["LVE_DATE"]=@date('Y-m-d h:i:s');

	if($timer > 0){
         $ovars["LVE_JAVA_INJECTION3"] = "function init() {start_timer(1);} ";
	 $ovars["LVE_JAVA_INJECTION4"] = "window.onload = init;";
	} else {
	 $ovars["LVE_JAVA_INJECTION3"] = "";
	 $ovars["LVE_JAVA_INJECTION4"] = "";
	}   

	return $ovars;                                                                                                                                                         

    }
}

