<?php                                                                                                                                                        
/* Copyright Cloud Linux Inc 2010-2011 All Rights Reserved                                                                                                   
 *                                                                                                                                                           
 * Licensed under CLOUD LINUX LICENSE AGREEMENT                                                                                                              
 * http://cloudlinux.com/docs/LICENSE.TXT                                                                                                                    
*/ 
                                                                                                                                                             
require_once('modules/pm.php');
require_once("modules/plesk-lvemanager/selectUserOpt.php");
require_once('modules/plesk-lvemanager/checkData.php');
                                                                                                                                                         
class PhpSetPage {                                                                                                                                          
    private $module_pointer;                                                                                                                                 
                                                                                                                                                             
    public function _construct($ptr){                                                                                                                        
        $module_pointer=$ptr;                                                                                                                                
    }                                                       

    public function getResult($vars){
        $ovars=$vars;   

//----------------------------------------------------------
        // find cur uid
        $login = getLogin(true);
        $uid = getUID($login);
    
    //----------------------------------------------------------
    
    //-- Selector options code
    
        $selectOpt = '';
        $warns = array();
        $ovars['SELECTOR_VERSION_STATE'] = "";
        $ovars['LOGIN_NAME'] = $login;
        $selectorData = getUserSelectorData($login);
        if ( ! array_key_exists( 'data', $selectorData ) ) {
            if (  array_key_exists( 'messages', $selectorData ) ) {
                $ovars['SELECTOR_ERRORS'] = implode( "\n", $selectorData['messages'] );
                $ovars['USER_SELECTED_VERSION'] = 'native';
                $ovars['USER_SELECTOPT_SELECT'] = '<select id="user-selector-select-version" disabled="disabled"><option>native</option>';
                $ovars["SELECTOR_CTRL_STATE"] = ' disabled="disabled"';
                $ovars["SELECTOPT_OPTTABLE"] = "";
                $ovars["SELECTUSEROPT_EXTDESC"] = "";
                $ovars['SELECTOR_VERSION_STATE'] = ' disabled="disabled"';
                return $ovars;
            }
        }
        
        if ( array_key_exists( 'messages', $selectorData ) ) {
            foreach ( $selectorData['messages'] as $i ) {
                $warns[] = $i;
            }
        }
        foreach ( $selectorData['data'] as $key => $value ) {
            if ( $value == 0 ) {
                continue;
            }
            elseif( $value == 3 ) {
                    $selectOpt .= '<option selected="selected">' . $key . '</option>';
                    $ovars["USER_SELECTED_VERSION"] = $key;
            }
            else {
                    $selectOpt .= '<option>' . $key . '</option>';
            }
        }
        $selectOpt .= "</select>";
        $ovars["USER_SELECTOPT_SELECT"] = '<select id="user-selector-select-version">' . $selectOpt;
    
        $optList = getUserOptionsData( $login );
        if ( array_key_exists( 'status', $optList ) and $optList['status'] == 'ERROR' ) {
            $ovars['SELECTOR_ERRORS'] = $optList['message'];
            $ovars["SELECTOR_CTRL_STATE"] = ' disabled="disabled"';
            $ovars["SELECTOPT_OPTTABLE"] = "";
            return $ovars;
        }
    
        $ovars["SELECTOR_CTRL_STATE"] = $ovars["USER_SELECTED_VERSION"] == 'native' ? ' disabled="disabled"' : "";
        $ovars["SELECTOPT_OPTTABLE"] = $optList['data'];
        $ovars["LOGIN_NAME"] = $login;
        $ovars['SELECTOR_ERRORS'] = "";
    
//-- End of selector options code
    
        return $ovars;
    }

}
