admin_user=$(/usr/bin/cldetect --print-da-admin)
FNDGRP=`id -g $admin_user`
if [ -n "$FNDGRP" ]; then
    sysctl fs.proc_super_gid=$FNDGRP
    FSGID=`cat /etc/sysctl.conf | grep "fs.proc_super_gid="`
    if [ -z "$FSGID" ]; then
        cp -f /etc/sysctl.conf /etc/sysctl.conf.bak
        echo "fs.proc_super_gid=$FNDGRP" >> /etc/sysctl.conf
    fi
fi

RESULT=`/usr/local/bin/php -n -i | grep ^"safe_mode => Off" -i`

function rewriteFile(){
        IS_PHP=`cat "$1" | grep php.ini -i`
        if [ -z "$IS_PHP" ]; then
                sed s/"\#\!\/usr\/local\/bin\/php\ \-n"/"\#\!\/usr\/local\/bin\/php\ \-c\/usr\/local\/directadmin\/plugins\/new_lvemanager\/php\.ini"/ "$1" > "$1.tmp"
                mv -f "$1.tmp" "$1"
                chmod 755 "$1"
                chown diradmin:diradmin "$1"
        fi
}

if [ -z "$RESULT" ]; then
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/admin/chart.raw"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/admin/Edit.html"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/admin/History.html"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/admin/index.html"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/admin/Packages.html"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/admin/Settings.html"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/admin/Stats.html"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/user/chart.raw"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/user/index.html"
        rewriteFile "/usr/local/directadmin/plugins/new_lvemanager/user/details.html"
fi

if [ -d "/usr/local/directadmin/plugins/lvemanager/" ]; then
    rm -rf "/usr/local/directadmin/plugins/lvemanager/"
fi