#!/bin/bash

if [ ! -e /etc/init.d/cl-ispsystems ]; then

cat > /etc/init.d/cl-ispsystems << "EOF"
#!/bin/bash
#
# lvemanager      check kernel version and install plugin
#
# chkconfig: 2345 31 90
# description: install lvemanager plugin for ISPManager

# Source function library.
. /etc/init.d/functions

prog="LVEmanger plugin"
case "$1" in
    start)
        echo -n $"Install $prog: "
        python /usr/share/l.v.e-manager/install-lvemanager-plugin.py -i > /dev/null 2>&1
        success
        echo
    ;;
    stop)
    ;;
    status)
    ;;
    *)
        echo $"Usage: $prog {start|stop|status}"
        exit 1

esac

exit 0

EOF

chmod 0755 /etc/init.d/cl-ispsystems
/sbin/chkconfig --add cl-ispsystems
fi
